// @flow
export function removeEmpty(array: Array<any>): Array<any> {
  return array.filter(entry => Boolean(entry))
}

export function removeEmptyKeys(obj: Object): Object {
  const copy: Object = {}
  for (const key: string in obj) {
    if (!(obj[key] == null || obj[key].length === 0)) {
      copy[key] = obj[key]
    }
  }

  return copy
}

export function ifElse(condition: boolean): any {
  // eslint-disable-next-line no-confusing-arrow
  return (then, otherwise) => (condition ? then : otherwise)
}

export function isLoaderSpecificFile(request: string): boolean {
  // eslint-disable-next-line max-len
  return Boolean(/\.(eot|woff|woff2|ttf|otf|svg|png|jpg|jpeg|gif|webp|webm|ico|mp4|mp3|ogg|html|pdf|swf|css|scss|sass|sss|less)$/.exec(request))
}
